## devscripts 2.13.2~bpo70+1

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
Uploaders: James McCoy <jamessan@debian.org>,
           Martin Zobel-Helas <zobel@debian.org>,
           Patrick Schoenfeld <schoenfeld@debian.org>,
           Ryan Niebur <ryanryan52@gmail.com>,
           Benjamin Drung <bdrung@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
               docbook-xsl,
               libdistro-info-perl,
               libfile-desktopentry-perl,
               libjson-perl,
               libparse-debcontrol-perl,
               libterm-size-perl,
               libtimedate-perl,
               liburi-perl,
               libwww-perl,
               lsb-release,
               perl,
               po4a (>= 0.40),
               pylint,
               python3-all,
               python3-debian (>= 0.1.15),
               python3-magic,
               python3-setuptools,
               shunit2 (>= 2.1.6),
               wdiff,
               xsltproc
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/devscripts.git
Vcs-Git: git://anonscm.debian.org/collab-maint/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.15.4.1),
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: at,
            dctrl-tools,
            dput | dupload,
            fakeroot,
            gnupg,
            libdistro-info-perl,
            libencode-locale-perl,
            libjson-perl,
            libparse-debcontrol-perl,
            liburi-perl,
            libwww-perl,
            lintian,
            man-db,
            patch,
            patchutils,
            python3-debian (>= 0.1.15),
            python3-magic,
            sensible-utils,
            strace,
            unzip,
            wdiff,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: bsd-mailx | mailx,
          build-essential,
          cvs-buildpackage,
          devscripts-el,
          gnuplot,
          libauthen-sasl-perl,
          libfile-desktopentry-perl,
          libnet-smtp-ssl-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mutt,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: ubuntu-dev-tools (<< 0.147~)
Replaces: ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, libwww-perl,
    bsd-mailx | mailx]
  - build-rdeps: search for all packages that build-depend on a given package
    [dctrl-tools]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cowpoke: upload a Debian source package to a cowbuilder host and build it,
    optionally also signing and uploading the result to an incoming queue
    [ssh-client]
  - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
    which allow them to be called from the CVS working directory
    [cvs-buildpackage]
  - cvs-debrelease: wrapper around debrelease which allows it to be called
    from the CVS working directory [cvs-buildpackage, dupload | dput,
    ssh-client]
  - cvs-debuild: wrapper for cvs-buildpackage to use debuild as its package
    building program [cvs-buildpackage, fakeroot, lintian, gnupg]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein
  - dcontrol: remotely query package and source control files for all Debian
    distributions [liburl-perl, libwww-perl]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libparse-debcontrol-perl, libsoap-lite-perl]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: clean a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
    basing commit message on changelog [cvs | darcs | subversion | svk | tla |
    bzr | git-core | mercurial, libtimedate-perl]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg,
    debian-keyring, ssh-client]
  - debsnap: grab packages from http://snapshot.debian.org [libwww-perl,
    libjson-perl]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot, lintian, gnupg]
  - deb-reversion: increase a binary package version number and repacks the
    package, useful for porters and the like
  - dep3changelog: generate a changelog entry from a DEP3-style patch header
  - desktop2menu: given a freedesktop.org desktop file, generate a skeleton
    for a menu file [libfile-desktopentry-perl]
  - dget: download Debian source and binary packages [wget | curl]
  - diff2patches: extract patches from a .diff.gz file placing them under
    debian/ or, if present, debian/patches [patchutils]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - dscextract: extract a single file from a Debian source package [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - edit-patch: add/edit a patch for a source package and commit the changes
    [quilt | dpatch | cdbs]
  - getbuildlog: download package build logs from Debian auto-builders [wget]
  - grep-excuses: grep the update_excuses.html file for your packages
    [libterm-size-perl, wget, w3m]
  - licensecheck: attempt to determine the license of source files
  - list-unreleased: search for unreleased packages
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [bsd-mailx | mailx]
  - mergechanges: merge .changes files from the same release but built
    on different architectures
  - mk-build-deps: given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given package [equivs]
  - namecheck: check project names are not already taken
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - origtargz: fetch the orig tarball of a Debian package from various sources,
    and unpack it
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [bsd-mailx | mailx, at]
  - rc-alert: list installed packages which have release-critical bugs
    [wget | curl]
  - rmadison: remotely query the Debian archive database about packages
    [liburi-perl, wget | curl]
  - suspicious-source: output a list of files which are not common source
    files [python3-magic]
  - svnpath: print Subversion repository paths [subversion]
  - tagpending: run from a Debian source tree and tag bugs that are to be
    closed in the latest changelog as pending [libsoap-lite-perl]
  - transition-check: check a list of source packages for involvement in
    transitions for which uploads to unstable are currently blocked
    [libwww-perl, libyaml-syck-perl]
  - uscan: scan upstream sites for new releases of packages
    [libcrypt-ssleay-perl, libwww-perl, unzip, lzma, xz-utils]
  - uupdate: integrate upstream changes into a source package [patch]
  - what-patch: determine what patch system, if any, a source package is using
    [patchutils]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for adoption
    [wget | curl]
  - wnpp-check: check whether there is an open request for packaging or
    intention to package bug for a package [wget | curl]
  - who-permits-upload: Retrieve information about Debian Maintainer access
    control lists [gnupg, libencode-locale-perl, libparse-debcontrol-perl,
    libwww-perl, debian-keyring]
  - wrap-and-sort: wrap long lines and sort items in packaging files
    [python3-debian]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

## devscripts 2.13.4

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Package: devscripts
 Architecture: any
 Multi-Arch: foreign
-Depends: dpkg-dev (>= 1.15.4.1),
+Depends: dpkg-dev (>= 1.16.4),
          ${misc:Depends},
          ${perl:Depends},
          ${python3:Depends},
@@ -70,6 +70,7 @@
           cvs-buildpackage,
           devscripts-el,
           gnuplot,
+          gpgv,
           libauthen-sasl-perl,
           libfile-desktopentry-perl,
           libnet-smtp-ssl-perl,
@@ -116,7 +117,7 @@
   - dd-list: given a list of packages, pretty-print it ordered by maintainer
   - debc: display the contents of just-built .debs
   - debchange/dch: automagically add entries to debian/changelog files
-    [libparse-debcontrol-perl, libsoap-lite-perl]
+    [libdistro-info-perl, libparse-debcontrol-perl, libsoap-lite-perl]
   - debcheckout: checkout the development repository of a Debian package
   - debclean: clean a Debian source tree [fakeroot]
   - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
@@ -186,7 +187,7 @@
     transitions for which uploads to unstable are currently blocked
     [libwww-perl, libyaml-syck-perl]
   - uscan: scan upstream sites for new releases of packages
-    [libcrypt-ssleay-perl, libwww-perl, unzip, lzma, xz-utils]
+    [libcrypt-ssleay-perl, gpgv, libwww-perl, unzip, lzma, xz-utils]
   - uupdate: integrate upstream changes into a source package [patch]
   - what-patch: determine what patch system, if any, a source package is using
     [patchutils]

=== debian/rules ===
#!/usr/bin/make -f

UBU_SUGGESTS=debian-keyring, equivs, libcrypt-ssleay-perl, libsoap-lite-perl

%:
	dh $@ --with python3

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	dh_gencontrol -- -V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
else
	dh_gencontrol -- -V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
endif

## devscripts 2.13.4ubuntu0.1

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION := $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
LIBS = libvfork.so.0
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -std=c99
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
COMPLETION = $(patsubst %.bash_completion,devscripts.%,$(COMPL_FILES))

GEN_MAN1S += devscripts.1

BINDIR = /usr/bin
LIBDIR = /usr/lib/devscripts
BIN_LIBDIR = /usr/lib/devscripts

all: $(SCRIPTS) $(GEN_MAN1S) $(LIBS) $(CWRAPPERS) $(COMPLETION)

$(VERSION_FILE):
	$(MAKE) -C .. version

%: %.sh

debchange: debchange.pl $(VERSION_FILE)
	cp $< $@
	sed -i "s/###VERSION###/$(VERSION)/" $@
ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif
	perl -I.. -c $@

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	bash -n $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	perl -I.. -c $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# There is a slight chance this gets called twice, once here from here and once
# from ../po4a/Makefile. Treat files with care.
PID := $(shell echo $$$$-$$PPID)
devscripts.1: devscripts.1.in
	cat $< > $@.$(PID)
	perl ../debian/genmanpage.pl >> $@.$(PID)
	mv $@.$(PID) $@

devscripts.%: %.bash_completion
	cp $< $@

libvfork.o: libvfork.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -D_REENTRANT -c $<
libvfork.so.0: libvfork.o
	$(CC) $(LDFLAGS) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@

clean:
	python3 setup.py clean -a
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS) \
		libvfork.o libvfork.so.0 $(COMPLETION)

test:
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	install -dD $(DESTDIR)$(BINDIR) $(DESTDIR)$(LIBDIR)
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	cp $(LIBS) $(DESTDIR)$(LIBDIR)
	install -dD $(DESTDIR)/etc/bash_completion.d
	cp $(COMPLETION) $(DESTDIR)/etc/bash_completion.d
	# Special treatment for debpkg
	install -dD $(DESTDIR)$(PERLMOD_DIR)
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(PERLMOD_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

.PHONY: test

=== test/Makefile ===
test:
	./test_annotate-output
	./test_checkbashisms
	./test_dd-list
	./test_debchange
	./test_debdiff
	./test_licensecheck

online-test:
	./test_uscan

.PHONY: test online-test

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,

## devscripts 2.13.9

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
@@ -188,7 +187,7 @@
     transitions for which uploads to unstable are currently blocked
     [libwww-perl, libyaml-syck-perl]
   - uscan: scan upstream sites for new releases of packages
-    [libcrypt-ssleay-perl, gpgv, libwww-perl, unzip, lzma, xz-utils]
+    [gpgv, liblwp-protocol-https-perl, libwww-perl, unzip, lzma, xz-utils]
   - uupdate: integrate upstream changes into a source package [patch]
   - what-patch: determine what patch system, if any, a source package is using
     [patchutils]

## devscripts 2.14.1

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

PERL_MODULES = Devscripts
EXAMPLES = conf.default README.mk-build-deps

PREFIX ?= /usr
DOCDIR ?= $(PREFIX)/share/doc/devscripts
MAN1DIR ?= $(PREFIX)/share/man/man1

all: version make_scripts $(EXAMPLES) translated_manpages

version:
	rm -f version
	dpkg-parsechangelog | perl -ne '/^Version: (.*)/ && print $$1' \
	    > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_translated_manpages
	rm -f version conf.default make_scripts

online-test:
	$(MAKE) -C test/ online-test

test: test_test test_scripts

test-installed:
	$(MAKE) -C test/ $@

install: all install_scripts
	cp -a $(PERL_MODULES) $(DESTDIR)$(PERLMOD_DIR)
	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)
	install -D README $(DESTDIR)$(DOCDIR)/README
	install -dD $(DESTDIR)$(MAN1DIR)
	cp doc/*.1 $(DESTDIR)$(MAN1DIR)
	ln -sf edit-patch.1 $(DESTDIR)$(MAN1DIR)/add-patch.1

test_test:
	$(MAKE) -C test/ test

make_scripts: version
	$(MAKE) -C scripts/
	touch $@
clean_scripts: clean_translated_manpages
	$(MAKE) -C scripts/ clean
test_scripts:
	$(MAKE) -C scripts/ test
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

.PHONY: online-test test test-installed

=== scripts/Makefile ===
--- 
+++ 
@@ -59,6 +59,9 @@
 %.1: %.pl
 	podchecker $<
 	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
+%.1: %.pod
+	podchecker $<
+	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
 %.1: %.dbk
 	xsltproc --nonet -o $@ \
 	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

=== test/Makefile ===
test:
	./test_annotate-output
	./test_checkbashisms
	./test_dd-list
	./test_debchange
	./test_debdiff
	./test_licensecheck
	./test_uscan

test-installed:
	./test_annotate-output --installed
	./test_checkbashisms --installed
	./test_dd-list --installed
	./test_debchange --installed
	./test_debdiff --installed
	./test_licensecheck --installed
	./test_uscan --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test

=== debian/control ===
--- 
+++ 
@@ -178,6 +178,7 @@
     [wget | curl]
   - rmadison: remotely query the Debian archive database about packages
     [liburi-perl, wget | curl]
+  - sadt: run DEP-8 tests [python3-debian]
   - suspicious-source: output a list of files which are not common source
     files [python3-magic]
   - svnpath: print Subversion repository paths [subversion]
@@ -187,7 +188,7 @@
     transitions for which uploads to unstable are currently blocked
     [libwww-perl, libyaml-syck-perl]
   - uscan: scan upstream sites for new releases of packages
-    [gpgv, liblwp-protocol-https-perl, libwww-perl, unzip, lzma, xz-utils]
+    [gpgv, gnupg, liblwp-protocol-https-perl, libwww-perl, unzip, lzma, xz-utils]
   - uupdate: integrate upstream changes into a source package [patch]
   - what-patch: determine what patch system, if any, a source package is using
     [patchutils]

=== debian/tests/control ===
Tests: shunit2
Depends: devscripts, shunit2
Restrictions: allow-stderr

## devscripts 2.14.1ubuntu0.1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UBU_SUGGESTS=debian-keyring, equivs, libcrypt-ssleay-perl, libsoap-lite-perl
+UBU_SUGGESTS=debian-keyring, equivs, liblwp-protocol-https-perl, libsoap-lite-perl
 
 %:
 	dh $@ --with python3

## devscripts 2.14.6

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
            Ryan Niebur <ryanryan52@gmail.com>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
                docbook-xsl,
+               file,
                libdistro-info-perl,
                libfile-desktopentry-perl,
                libjson-perl,
@@ -28,8 +28,11 @@
                python3-magic,
                python3-setuptools,
                shunit2 (>= 2.1.6),
+               unzip,
                wdiff,
-               xsltproc
+               xsltproc,
+               xz-utils,
+               zip
 XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/devscripts.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/devscripts.git
@@ -46,6 +49,7 @@
             dctrl-tools,
             dput | dupload,
             fakeroot,
+            file,
             gnupg,
             libdistro-info-perl,
             libencode-locale-perl,
@@ -166,6 +170,8 @@
   - mk-build-deps: given a package name and/or control file, generate a binary
     package which may be installed to satisfy the build-dependencies of the
     given package [equivs]
+  - mk-origtargz: rename upstream tarball, optionally changing the compression
+    and removing unwanted files [unzip, xz-utils, file]
   - namecheck: check project names are not already taken
   - nmudiff: mail a diff of the current package against the previous version
     to the BTS to assist in tracking NMUs [patchutils, mutt]
@@ -188,8 +194,8 @@
   - transition-check: check a list of source packages for involvement in
     transitions for which uploads to unstable are currently blocked
     [libwww-perl, libyaml-syck-perl]
-  - uscan: scan upstream sites for new releases of packages
-    [gpgv, gnupg, liblwp-protocol-https-perl, libwww-perl, unzip, lzma, xz-utils]
+  - uscan: scan upstream sites for new releases of packages [gpgv, gnupg,
+    liblwp-protocol-https-perl, libwww-perl, unzip, xz-utils, file]
   - uupdate: integrate upstream changes into a source package [patch]
   - what-patch: determine what patch system, if any, a source package is using
     [patchutils]

## devscripts 2.14.6ubuntu0.1

=== debian/changelog ===
devscripts (2.14.6ubuntu0.1) utopic-security; urgency=medium

  * SECURITY UPDATE: directory traversal issue in uupdate
    - scripts/uupdate.sh: remove symlinks before applying patches, and
      restore them afterwards.
    - http://anonscm.debian.org/cgit/collab-maint/devscripts.git/commit/?id=0fef671
    - CVE-2014-1833

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Jun 2015 13:13:17 -0400

devscripts (2.14.6) unstable; urgency=medium

  [ Benjamin Drung ]
  * suspicious-source: Add image/tiff, application/pgp-keys, and image/x-icon
    to whitelisted mime-types. Add .gmo to whitelisted file extensions.
  * wrap-and-sort: Add --max-line-length option with a default of 79 characters
    (it was previously hard-coded to 80 characters).  (Closes: #756067)

  [ Guillem Jover ]
  * nmudiff: Send control messages inline.  (Closes: #752152)

  [ Paul Wise ]
  * rmadison: bpo madison is dead, remove it
  * rmadison: add new to the defaults for Debian
  * rmadison: document the defaults in the manual page

  [ James McCoy ]
  * namecheck: Remove berlios, since it no longer hosts code.  (Closes:
    #752382)
  * mk-build-deps:
    + Provide the package name, not file name, to “dpkg --remove” when package
      install fails.
    + Read all of the output from “apt-cache showsrc” to ensure mk-build-deps
      doesn't get stuck waiting for apt-cache to exit.
    + Pass the name of the .deb file out of build_equiv to ensure the correct
      .deb is installed.  (Closes: #753657)

  [ Christoph Berg ]
  * Update all qa.debian.org URLs to https://.

  [ Ron Lee ]
  * cowpoke:
    + Allow more flexibility for specialised build chroots.
      It's now possible to specify arbitrary 'dist' names, with arbitrary
      special configurations on top of the real BASE_DIST suite.  This means
      it's easy to have things like a chroot for wheezy-backports which will
      be able to pull other deps from the backports repo, while still having
      a pristine wheezy build chroot on the same build host.  Or to have a
      staging chroot for unstable, with extra build deps pulled in from a
      local repository, or installed manually, while still having a pristine
      sid chroot for building other packages to upload.  And it all works the
      same as normal, you just pass --dist=wheezy_bpo to select the chroot.
    + Allow SIGN_KEYID and UPLOAD_QUEUE to be overridden per arch/dist.
      This makes a lot more sense now that the above is easily possible.
      People can use that for private or work (in progress) builds too, and
      this can reduce the chance of accidentally uploading to the wrong place,
      or signing some package not intended for upload with a key that would
      would let it be accepted by dak.
    + Better handling of --debbuildopts.  There were some corner cases for
      this where the required quoting of options could be rather weird in the
      intersection of all the layers it might get passed through. This should
      make it more forgiving and better able to always DTRT.

  [ David Prévot ]
  * uscan.1: Use +dfsg suffix in examples

 -- James McCoy <jamessan@debian.org>  Mon, 04 Aug 2014 22:34:17 -0400

devscripts (2.14.5) unstable; urgency=medium

  * debchange:
    + Verify $opt_vendor is defined before trying to use it to avoid a warning
      about an unitialized variable.
    + utf-8 decode the maintainer name when reading it from the changelog.
      (Closes: #750855)
  * uscan: Use HEAD instead of GET to check for possible GPG signature URLs.
    (Closes: #750929)
  * debcheckout: Handle more variations of Alioth URLs when attempting to
    perform an authenticated checkout.  (Closes: #750542)

 -- James McCoy <jamessan@debian.org>  Tue, 10 Jun 2014 21:16:02 -0400

devscripts (2.14.4) unstable; urgency=medium

  * mk-origtargz: Fix DEP8 test failures due to differences in how the script
    is named when it's run.
  * debchange: Use Dpkg::Changelog::Parse to parse the changelog instead of
    performing manual parsing in debchange.  (Closes: #749980)

 -- James McCoy <jamessan@debian.org>  Sat, 31 May 2014 09:47:19 -0400

devscripts (2.14.3) unstable; urgency=medium

  [ Benjamin Drung ]
  * wrap-and-sort: Sanitize spaces between alternative package names.
    (Closes: #747818)

  [ Martin Pitt ]
  * Install recommends for the autopkgtest, otherwise a lot of necessary tools
    like wdiff are missing.
  * test_uscan: Add missing --compression in --installed mode, to fix the
    autopkgtest.
  * Add missing zip autopkgtest dependency (used by test_uscan).

  [ James McCoy ]
  * uscan:
    + Specify file name instead of path in --dehs mode's target node.
      (Closes: #747901)
    + Add target-path node to dehs output for those who care about the actual
      path to the file.
    + Restore display of final file name after file is downloaded.
  * mk-origtargz: Use file's mime detection to detect zip files.  (Closes:
    #748462)
  * chdist: Finish reading output from child processes to avoid getting a
    SIGPIPE when closing their read handle.  (Closes: #749504)

  [ Christoph Berg ]
  * uscan: Fix "upsteam" typo.  (Closes: #749343)

  [ Paul Wise ]
  * uscan: Also accept https for copyright-format URLs (Closes: #749498)

 -- James McCoy <jamessan@debian.org>  Tue, 27 May 2014 23:24:01 -0400

devscripts (2.14.2) unstable; urgency=medium

  [ Jakub Wilk ]
  * sadt:
    + Add support for @builddeps@ in tests' Depends.  (Closes: #736798)

  [ Benjamin Drung ]
  * Bump Standard-Version to 3.9.5.
  * Wrap long line in extended description.

  [ Paul Wise ]
  * Use HTTPS for the buildd logs to avoid a redirect
  * Fix scraping of the wnpp web pages due to https links

  [ Daniel Kahn Gillmor ]
  * uscan: check for likely upstream signatures if none are known (Closes:
    #732449)

  [ Cyril Brulebois ]
  * deb-reversion: Add support for udebs.  (Closes: #739437)

  [ Gunnar Wolf ]
  * debcommit: Add switch+conf.setting allowing to specify Git to sign


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,

## devscripts 2.14.11~bpo70+1

=== debian/changelog ===
devscripts (2.14.11~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- James McCoy <jamessan@debian.org>  Sun, 14 Dec 2014 20:54:07 -0500

devscripts (2.14.11) unstable; urgency=medium

  [ Paul Wise ]
  * Suggest debbindiff for deep .deb comparisons
  * Use mirror.ftp-master instead of specific hostnames

  [ James McCoy ]
  * debcommit: Correctly show --strip-message is the default in --help.
    (Closes: #766885)
  * mk-origtargz: Warn about unmatched Files-Excluded patterns.  (Closes:
    #766641)
  * annotate-output: Fix handling of a date format that contains whitespace.
    (Closes: #766180)
  * Fix regression in dpkg-architecture using scripts when only -a or -t is
    specified, rather than both or neither.  (Closes: #768587)

  [ Jakub Wilk ]
  * sadt:
    + Fix handling of rw-build-tree restriction
    + Improve handling of non-executable test files.  When rw-build-tree is in
      effect, simply chmod the file.  Otherwise, attempt to chmod the file
      (skipping the test on failure) and restore the original permissions on
      completion.  (Closes: #749729)

  [ Adam D. Barratt ]
  * debchange:
    + Fix handling of changelogs where the most recent trailer line does not
      include a maintainer name.  (Closes: #766516)
    + Add jessie-backports to the version mapping for --bpo.
  * bts: Support the "stretch", "buster", "stretch-ignore" and "buster-ignore"
    tags.

  [ Stefano Zacchiroli ]
  * bts:
    + Support for the "newcomer" tag
    + Backward compatibility for the old "gift" usertag: drop
      documentation for it, but do both gift and newcomer (user)tagging for
      the time being

 -- James McCoy <jamessan@debian.org>  Wed, 03 Dec 2014 23:01:48 -0500

devscripts (2.14.10) unstable; urgency=medium

  * Fix all the other calls to dpkg-architecture in devscripts.
    (Closes: #764963 ... again)

 -- James McCoy <jamessan@debian.org>  Mon, 13 Oct 2014 22:35:31 -0400

devscripts (2.14.9) unstable; urgency=medium

  * debuild: Only pass -a/-t to dpkg-architecture when the user has specified
    values for them.  (Closes: #764963)

 -- James McCoy <jamessan@debian.org>  Sun, 12 Oct 2014 21:32:05 -0400

devscripts (2.14.8) unstable; urgency=medium

  [ James McCoy ]
  * uscan:
    + Ensure $keyring is defined before trying to use it when checking whether
      the upstream keyring exists.
    + Strip the Referer header when using qa.debian.org's Sourceforge
      redirector.  When there's a foreign Referer header, Sourceforge responds
      with a web page containing a <meta refresh=...> redirect to the actual
      file, causing uscan to save the web page rather than the file.  (Closes:
      #764367)
  * uupdate: When updating a 1.0 source format package, remove any symlinks in
    the new upstream source before applying the Debian diff, restoring the
    symlinks after.  This prevents patch from following the symlinks, which
    may point to targets outside of the source tree, when applying the diff.
    Thanks to Jakub Wilk for the discovery and suggested fix.
    (Closes: #737160, CVE-2014-1833)

  [ Ron Lee ]
  * cowpoke: Add --sign and --upload command line overrides.

 -- James McCoy <jamessan@debian.org>  Sat, 11 Oct 2014 00:22:34 -0400

devscripts (2.14.7) unstable; urgency=low

  [ Cyril Brulebois ]
  * deb-reversion: update change_version(), fixing the missing call_hook
    statement in the udeb case. That was overlooked when the changelog
    massaging was made conditional, and causes hooks to be ignored for
    udebs. (Closes: #757425)

  [ James McCoy ]
  * debsign/debi/debc: Delay checking for the existence of the
    --debs-dir/DEBRELEASE_DEBS_DIR directory until we get to code that
    actually uses said directory.  (Closes: #544366)
  * mk-build-deps: Pass the file, not package, names to unlink when --remove
    is given.  (Closes: #757481)
  * debcheckout: Always define $origtgz_name when a URL is specified on the
    command line.  (Closes: #757614)
  * dcmd: Add --debtar option and restrict --tar/--orig to orig.tar.*.  Thanks
    to Osamu Aoki for the patch.  (Closes: #622561)
  * grep-excuses: Remove useless call to “hostname --fqdn”.  (Closes: #758668)
  * build-rdeps: Recognize arch-qualified package names.  Thanks to Stuart
    Prescott for the patch.  (Closes: #757807)
  * uscan:
    + Consistently pass the path to the downloaded (and possibly
      renamed/symlinked/…) file as an argument to the watch file's action
      command.
    + Add support for a repacksuffix option to the watch file.  This is passed
      through to mk-origtargz.  (Closes: #753772)
    + Specify Referer header when traversing http(s) sites.  Thanks to David
      Prévot for the patch.  (Closes: #739137)
  * mk-origtargz: Add a --repack-suffix option to adjust the upstream version
    when the upstream sources are modified (e.g., due to Files-Excluded).
  * bts: Don't send the email when the user saves an empty body for the email.
    (Closes: #762888)

  [ Benjamin Drung ]
  * Remove unused build-dependencies libjson-perl and libterm-size-perl

  [ Joachim Breitner ]
  * mk-origtargz: Treat jars like zip files (Closes: #754203)

  [ Dominique Dumont ]
  * licensecheck: Check javascript files.  (Closes: #762070)

 -- James McCoy <jamessan@debian.org>  Thu, 25 Sep 2014 20:49:15 -0400

devscripts (2.14.5~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports, and include previous changelog entries.

 -- James McCoy <jamessan@debian.org>  Mon, 16 Jun 2014 23:05:49 -0400

devscripts (2.14.5~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- James McCoy <jamessan@debian.org>  Mon, 16 Jun 2014 20:58:17 -0400

devscripts (2.13.4~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- James McCoy <jamessan@debian.org>  Thu, 03 Oct 2013 19:46:02 -0400

devscripts (2.13.2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.


## devscripts 2.15.3

=== debian/changelog ===
devscripts (2.15.3) unstable; urgency=medium

  * debchange: Use bpo8 instead of bpo80 for jessie-backports, per
    https://lists.debian.org/debian-backports/2014/11/msg00031.html.

 -- James McCoy <jamessan@debian.org>  Fri, 03 Apr 2015 21:47:54 -0400

devscripts (2.15.2) unstable; urgency=medium

  * debchange: Make jessie default backports release.

 -- James McCoy <jamessan@debian.org>  Thu, 02 Apr 2015 21:37:39 -0400

devscripts (2.15.1) unstable; urgency=medium

  [ Julien Cristau ]
  * grep-excuses: update URLs to use https://release.debian.org/

  [ David Prévot ]
  * French translation update

 -- James McCoy <jamessan@debian.org>  Thu, 01 Jan 2015 09:50:36 -0500

## devscripts 2.15.3%2Bdeb8u1

=== debian/changelog ===
devscripts (2.15.3+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload.
  * Remove . from @INC when loading modules dynamically [CVE-2016-1238]

 -- Dominic Hargreaves <dom@earth.li>  Mon, 25 Jul 2016 10:06:38 +0100

## devscripts 2.15.8~bpo8+1

=== debian/changelog ===
devscripts (2.15.8~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- James McCoy <jamessan@debian.org>  Sat, 08 Aug 2015 22:40:55 -0400

devscripts (2.15.8) unstable; urgency=high

  * licensecheck:
    + Avoid argument injection which may cause file to overwrite a file
      through symlink indirection.  (Closes: #794365, CVE-2015-5705)

 -- James McCoy <jamessan@debian.org>  Sun, 02 Aug 2015 09:06:05 -0400

devscripts (2.15.7) unstable; urgency=medium

  * licensecheck:
    + Use Dpkg::IPC to run file to avoid shell injection.
      (Closes: #794260, CVE-2015-5704)
    + Change whitelist of mime types to greylist of encodings.  Restores
      ability to check files with mime types like text/x-c++ and
      application/postscript.  Thanks to Jonas Smedegaard for the patch.
      (Closes: #794282)
    + Fix an endless loop in parsing certain files.  Thanks to Jonas
      Smedegaard for the patch.  (Closes: #794263)

 -- James McCoy <jamessan@debian.org>  Fri, 31 Jul 2015 22:50:33 -0400

devscripts (2.15.6) unstable; urgency=medium

  [ Paul Wise ]
  * Adjust wording of common suffixes passed to repacksuffix

  [ James McCoy ]
  * debcheckout:
    + Handle Launchpad Git URLs.  Thanks to Colin Watson for the patch.
      (Closes: #788777)
    + Handle authenticated checkout when Vcs-Darcs is missing the root /darcs
      directory.
  * checkbashisms:
    + Fix unescaped, literal curly brace in regex, causing FTBFS with Perl
      5.22.  Thanks to Roderich Schupp for the patch.  (Closes: #788707)
    + Improve detection of %q/%b to include when it is at the start of the
      string.  Thanks to Eero Vuojolahti.  (Closes: #793396)
  * wnpp-check:
    + Use getopt to handle argument parsing.
    + Add --exact switch to match the exact package name instead of a
      substring.  Thanks to Balasankar C.  (Closes: #791918)
  * Replace manual parsing of dpkg-buildpackage's output with the use of its
    -S switch or the Dpkg::Changelog::Parse Perl module.
    + Bump minimum required version of dpkg-dev to 1.17.0
  * dget: Support arch-qualified package names.  “dget foo:i386” will download
    the foo binary package for Arch: i386.  “dget --all srcfoo:i386” will
    download all binary packages from the srcfoo source package that are
    either Arch: all or Arch: any/i386.  (Closes: #792917)
  * uscan: Only check for presence of signing key when downloading a new
    upstream archive.  (Closes: #790047)

  [ Dominique Dumont ]
  * licensecheck:
    * extract © owner when © and owners are specified on 2 or more lines.
    * fix digia © and license extraction (Closes: #789074)
    * fix BSD-2-clause detection
    * parse assembly files with suffix .S
    * warn if scanned file is not a text file (Closes: #791756)

  [ Mattia Rizzolo ]
  * uscan: Suggest the correct syntax in the manpage for the dversionmangle
    option, escaping a '+'. Thanks to Martin Erik Werner for reporting.
    (Closes: #789389)

 -- James McCoy <jamessan@debian.org>  Mon, 27 Jul 2015 23:12:23 -0400

devscripts (2.15.5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- James McCoy <jamessan@debian.org>  Wed, 24 Jun 2015 21:59:43 -0400

devscripts (2.15.5) unstable; urgency=low

  [ Cyril Brulebois ]
  * Update chdist bash-completion file with the architectures currently (as
    of 2015-04-28) listed on buildd.debian.org and buildd.debian-ports.org.
    (Closes: #783634)
  * Add support for RMADISON_SSL_CA_FILE and RMADISON_SSL_CA_PATH, so that
    one can point to system-specific locations for CA-related files, and pass
    them to curl/wget via the appropriate options.  (Closes: #784812)

  [ James McCoy ]
  * wrap-and-sort:
    + Always remove empty elements from lists so “-t” doesn't add a new, empty
      element.  (Closes: #783630)
    + Remove empty lines in debhelper-related files.  (Closes: #780667)
  * Install Perl modules into $Config{vendorlib} and remove the hacks in
    various scripts to make them see devscript's modules.
  * Add bash completion scripts for uscan (thanks to Ben Finney) and
    mk-origtargz.  (Closes: #784394)
  * Stop building and shipping libvfork.so since strace has handled vforks for
    at least a decade.
  * Move bash-completion scripts from /etc/bash_completion.d (compat
    directory) to /usr/share/bash-completion/completions.
  * debdiff: Inspect wdiff's return code rather than Dpkg::IPC::spawn's
    exception to determine if wdiff found differences.  (Closes: #786518)
  * Store cached files in $XDG_CACHE_HOME instead of ~/.devscripts_cache.
    (Closes: #659330)
  * bts:
    + Use https to talk to bugs.debian.org
    + Use URI & URI::QueryParam to parse URIs rather than regexps.  This fixes
      issues with not detecting BTS URLs as valid due to ordering of query
      parameters.  (Closes: #786706)
  * debuild: Recognize -jauto as a valid option. Based on a patch by Reiner
    Herrmann.  (Closes: #787276)
  * uscan:
    + Fix Github example in man page.  (Closes: #757194)
    + Clear cached redirection URLs every time a watch line is processed.
      This ensures any relative URLs are built into absolute URLs using
      relevant sites.  (Closes: #736063)
  * Devscripts::Debbugs: Retrieve bug status in chunks to avoid building large
    responses on bugs.d.o.
  * mk-build-deps:
    + Verify build-dep package was installed since the install tool may exit
      successfully even if the package couldn't be installed.  Based on a
      patch by Dima Kogan.  (Closes: #755371)
  * mergechanges:
    + Add -d option to delete input files on success.  Thanks to Mark Hymers
      for the patch.  (Closes: #640068)
  * dd-list:
    + Strip arch-qualifiers from given package names.  (Closes: #788367)

  [ Dominique Dumont ]
  * licensecheck:
    * check file encoding and decode properly when reading file
     (Closes: #784821)
    * improve GPL LGPL extraction
    * optimize regex used to extract © info


## devscripts 2.15.8ubuntu1

=== debian/changelog ===
devscripts (2.15.8ubuntu1) wily; urgency=medium

  * Selfishly pull proposed patch from Debian bug #794538 to add --host-arch
    option to mk-build-deps so that it can be used for cross-builds.
    Thanks to Johannes Schauer <josch@debian.org> for the patch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Aug 2015 17:26:42 -0700

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,20 @@
            Patrick Schoenfeld <schoenfeld@debian.org>,
            Ryan Niebur <ryanryan52@gmail.com>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9),
+Standards-Version: 3.9.6
+Build-Depends: bash-completion,
+               debhelper (>= 9),
                docbook-xsl,
+               dpkg-dev (>= 1.17.0),
                file,
                libdistro-info-perl,
                libfile-desktopentry-perl,
-               libjson-perl,
-               libparse-debcontrol-perl,
-               libterm-size-perl,
                libtimedate-perl,
                liburi-perl,
                libwww-perl,
                lsb-release,
                perl,
+               pkg-config,
                po4a (>= 0.40),
                pylint,
                python3-all,
@@ -35,13 +35,13 @@
                xz-utils,
                zip
 XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/devscripts.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/devscripts.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/devscripts.git
 
 Package: devscripts
 Architecture: any
 Multi-Arch: foreign
-Depends: dpkg-dev (>= 1.16.4),
+Depends: dpkg-dev (>= 1.17.0),
          ${misc:Depends},
          ${perl:Depends},
          ${python3:Depends},
@@ -55,7 +55,6 @@
             libdistro-info-perl,
             libencode-locale-perl,
             libjson-perl,
-            libparse-debcontrol-perl,
             liburi-perl,
             libwww-perl,
             lintian,
@@ -74,6 +73,7 @@
 Suggests: bsd-mailx | mailx,
           build-essential,
           cvs-buildpackage,
+          debbindiff,
           devscripts-el,
           gnuplot,
           gpgv,
@@ -98,8 +98,8 @@
     E for stderr) for every line of output
   - archpath: print tla/Bazaar package names [tla | bazaar]
   - bts: a command-line tool for manipulating the BTS [www-browser,
-    libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, libwww-perl,
-    bsd-mailx | mailx]
+    libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, liburi-perl,
+    libwww-perl, bsd-mailx | mailx]
   - build-rdeps: search for all packages that build-depend on a given package
     [dctrl-tools]
   - chdist: tool to easily play with several distributions [dctrl-tools]
@@ -123,14 +123,15 @@
   - dd-list: given a list of packages, pretty-print it ordered by maintainer
   - debc: display the contents of just-built .debs
   - debchange/dch: automagically add entries to debian/changelog files
-    [libdistro-info-perl, libparse-debcontrol-perl, libsoap-lite-perl]
+    [libdistro-info-perl, libsoap-lite-perl]
   - debcheckout: checkout the development repository of a Debian package
   - debclean: clean a Debian source tree [fakeroot]
   - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
     basing commit message on changelog [cvs | darcs | subversion | svk | tla |
     bzr | git-core | mercurial, libtimedate-perl]
   - debdiff: compare two versions of a Debian package to check for
-    added and removed files [wdiff, patchutils]
+    added and removed files. Use the debbindiff package for deep comparisons.
+    [wdiff, patchutils]
   - debi: install a just-built package
   - debpkg: dpkg wrapper to be able to manage/test packages without su
   - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
@@ -208,8 +209,7 @@
   - wnpp-check: check whether there is an open request for packaging or
     intention to package bug for a package [wget | curl]
   - who-permits-upload: Retrieve information about Debian Maintainer access
-    control lists [gnupg, libencode-locale-perl, libparse-debcontrol-perl,
-    libwww-perl, debian-keyring]
+    control lists [gnupg, libencode-locale-perl, libwww-perl, debian-keyring]
   - wrap-and-sort: wrap long lines and sort items in packaging files
     [python3-debian]
  .
